| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::GL3PlusPixelUtil Class Reference

Class to do pixel format mapping between GL and OGRE. More...

`#include <OgreGL3PlusPixelFormat.h>`

## Static Public Member Functions
static GLenum | getClosestGLImageInternalFormat (PixelFormat format)
| Takes the OGRE pixel format and returns the type that must be provided to GL as internal format for image load/store. More...
static PixelFormat | getClosestOGREFormat (GLenum format)
| Function to get the closest matching OGRE format to an internal GL format. More...
static GLenum | getGLImageInternalFormat (PixelFormat format)
| Takes the OGRE pixel format and returns the type that must be provided to GL as internal format for image load/store. More...
static GLenum | getGLInternalFormat (PixelFormat format, bool hwGamma=false)
| Takes the OGRE pixel format and returns the type that must be provided to GL as internal format. More...
static GLenum | getGLOriginDataType (PixelFormat format)
| Takes the OGRE pixel format and returns type that must be provided to GL as data type for reading it into the GPU. More...
static GLenum | getGLOriginFormat (PixelFormat format)
| Takes the OGRE pixel format and returns the appropriate GL one. More...

## Detailed Description

Class to do pixel format mapping between GL and OGRE.

## Member Function Documentation

## ◆ getGLOriginFormat()

static GLenum Ogre::GL3PlusPixelUtil::getGLOriginFormat | ( | PixelFormat | format | ) |
| static

Takes the OGRE pixel format and returns the appropriate GL one.

Returns
  a GLenum describing the format, or 0 if there is no exactly matching one (and conversion is needed)

## ◆ getGLOriginDataType()

static GLenum Ogre::GL3PlusPixelUtil::getGLOriginDataType | ( | PixelFormat | format | ) |
| static

Takes the OGRE pixel format and returns type that must be provided to GL as data type for reading it into the GPU.

Returns
  a GLenum describing the data type, or 0 if there is no exactly matching one (and conversion is needed)

## ◆ getGLInternalFormat()

static GLenum Ogre::GL3PlusPixelUtil::getGLInternalFormat | ( | PixelFormat | format,
|  | bool | hwGamma = `false`
| ) |  |
| static

Takes the OGRE pixel format and returns the type that must be provided to GL as internal format.

GL_NONE if no match exists.

Parameters

  format | The pixel format
  hwGamma | Whether a hardware gamma-corrected version is requested

## ◆ getGLImageInternalFormat()

static GLenum Ogre::GL3PlusPixelUtil::getGLImageInternalFormat | ( | PixelFormat | format | ) |
| static

Takes the OGRE pixel format and returns the type that must be provided to GL as internal format for image load/store.

GL_NONE if no match exists.

Parameters

  format | The pixel format

## ◆ getClosestGLImageInternalFormat()

static GLenum Ogre::GL3PlusPixelUtil::getClosestGLImageInternalFormat | ( | PixelFormat | format | ) |
| static

Takes the OGRE pixel format and returns the type that must be provided to GL as internal format for image load/store.

If no match exists, returns the closest match.

Parameters

  format | The pixel format

## ◆ getClosestOGREFormat()

static PixelFormat Ogre::GL3PlusPixelUtil::getClosestOGREFormat | ( | GLenum | format | ) |
| static

Function to get the closest matching OGRE format to an internal GL format.

To be precise, the format will be chosen that is most efficient to transfer to the card without losing precision.

Remarks
  It is valid for this function to always return PF_A8R8G8B8.

The documentation for this class was generated from the following file:

- OgreGL3PlusPixelFormat.h